MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026522Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-08-05 15:532015-10-23 20:50
Reporteranv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026522: Exception while copying offset on C0 surface
DescriptionConstructor rises an exception while trying to make a copy of an offset on C0 surface.
Steps To Reproducerestore s
checkshape s

// CheckFail rising while executing Geom_OffsetSurface::Copy ()
TagsNo tags attached.
Test case numberbugs moddata_3 bug26522
Attached Files? file icon s (9,315 bytes) 2015-08-05 15:55

- Relationships

-  Notes
(0043853)
git (administrator)
2015-08-05 16:00

Branch CR26522 has been created by anv.

SHA-1: fa94e9444a5572bacddc261814ad2ca926dce5e5


Detailed log of new commits:

Author: anv
Date: Wed Aug 5 15:59:10 2015 +0300

    0026522: Exception while copying offset on C0 surface
    
    Removed check for C0 surface while copying offset surface
(0043854)
anv (developer)
2015-08-05 16:02

There is no need to check for C0 surfaces when copying offset surface. Copy of C0 offset should be a C0 offset.
Please check.
(0043857)
git (administrator)
2015-08-05 16:33

Branch CR26522 has been updated forcibly by anv.

SHA-1: 2e83453bf8146bfe6dc44dc30c5a60c9edeb1d96
(0043863)
git (administrator)
2015-08-06 10:27

Branch CR26522 has been updated by szv.

SHA-1: 49b2a8a3f2b3c3805eec2b52b685b53cd51df75a


Detailed log of new commits:

Author: szv
Date: Thu Aug 6 10:19:37 2015 +0300

    General code melioration

(0043864)
szv (manager)
2015-08-06 10:28

Reviewed with general code melioration (inline methods, const qualifiers, formatting), please test.
(0043889)
git (administrator)
2015-08-06 15:20

Branch CR26522 has been updated forcibly by mkv.

SHA-1: 690e067c20e0bb9a8ed0581bea159a6d011ce95b
(0043892)
git (administrator)
2015-08-06 16:43

Branch CR26522 has been updated by mkv.

SHA-1: 1e39975eeb1a7c2a74e957cc1ddb5bc8ef7262c8


Detailed log of new commits:

Author: mkv
Date: Thu Aug 6 16:43:02 2015 +0300

    Test case for issue CR26522

(0043901)
mkv (tester)
2015-08-07 12:36

Dear BugMaster,
Branch CR26522 was rebased on IR-2015-08-06 of occt git-repository.
SHA-1: 690e067c20e0bb9a8ed0581bea159a6d011ce95b
(0043902)
mkv (tester)
2015-08-07 12:36

Dear BugMaster,
Branch CR26522 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 690e067c20e0bb9a8ed0581bea159a6d011ce95b

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26522-master-occt-64/Debian70-64/bugs/moddata_3/bug26522.html [^]
http://occt-tests/CR26522-master-occt-64/Windows-64-VC10/bugs/moddata_3/bug26522.html [^]
bugs moddata_3 bug26522: FAILED

Testing on Linux:
occt component :
Total MEMORY difference: 90766379 / 90517459 [+0.27%]
Total CPU difference: 17845.929999999535 / 17640.95999999938 [+1.16%]
products component :
Total MEMORY difference: 24885984 / 24836344 [+0.20%]
Total CPU difference: 7224.349999999991 / 7006.110000000006 [+3.11%]

Testing on Windows:
occt component :
Total MEMORY difference: 56903314 / 56926406 [-0.04%]
Total CPU difference: 16773.664322799246 / 16688.082174199026 [+0.51%]
products component :
Total MEMORY difference: 16004841 / 16012079 [-0.05%]
Total CPU difference: 5315.110070999982 / 5275.579417599962 [+0.75%]

There are no differences in images found by testdiff.
(0043903)
mkv (tester)
2015-08-07 12:37

Dear anv,
could you please review following test case
bugs moddata_3 bug26522
(0044067)
git (administrator)
2015-08-13 11:08

Branch CR26522 has been updated forcibly by anv.

SHA-1: 7fcc57629a8591d9e1dde28a8bfeebf152c98fbf
(0045015)
jgv (developer)
2015-09-03 16:25

Ok.
(0045023)
git (administrator)
2015-09-03 17:26

Branch CR26522 has been updated forcibly by mkv.

SHA-1: a2d87dc881e9641a39b21a6a69ba9a229593f906
(0045083)
mkv (tester)
2015-09-04 16:20

Dear BugMaster,
Branch CR26522 was rebased on branch IR-2015-09-03 of occt git-repository.
SHA-1: a2d87dc881e9641a39b21a6a69ba9a229593f906.
(0045084)
mkv (tester)
2015-09-04 16:20

Dear BugMaster,
Branch CR26522 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a2d87dc881e9641a39b21a6a69ba9a229593f906

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26522-master-occt-64/Debian70-64/bugs/moddata_3/bug26522.html [^]
http://occt-tests/CR26522-master-occt-64/Windows-64-VC10/bugs/moddata_3/bug26522.html [^]
bugs moddata_3 bug26522: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91816972 / 91946396 [-0.14%]
Total CPU difference: 17638.399999998946 / 17713.96999999897 [-0.43%]
products component :
Total MEMORY difference: 25229774 / 25210384 [+0.08%]
Total CPU difference: 7378.439999999995 / 6935.280000000003 [+6.39%]

Testing on Windows:
occt component :
Total MEMORY difference: 57110600 / 57102997 [+0.01%]
Total CPU difference: 17615.289717798743 / 16228.487628099389 [+8.55%]
products component :
Total MEMORY difference: 16225985 / 16225943 [+0.00%]
Total CPU difference: 5826.668550199978 / 5398.88260799997 [+7.92%]

There are no differences in images found by testdiff.
(0045862)
git (administrator)
2015-09-18 11:27

Branch CR26522 has been updated forcibly by anv.

SHA-1: 69c5b199a19c06257c106c8a663aa3a8561062ae
(0045939)
git (administrator)
2015-09-21 12:37

Branch CR26522 has been updated forcibly by anv.

SHA-1: a2d87dc881e9641a39b21a6a69ba9a229593f906
(0045940)
git (administrator)
2015-09-21 12:39

Branch CR26522_1 has been created by anv.

SHA-1: 69c5b199a19c06257c106c8a663aa3a8561062ae


Detailed log of new commits:

Author: anv
Date: Thu Sep 17 09:55:23 2015 +0300

    0026522: Exception while copying offset on C0 surface
(0045954)
git (administrator)
2015-09-21 16:02

Branch CR26522_1 has been updated forcibly by anv.

SHA-1: 935f4b24522cf2d3eb23ae1903b950219e71ca56
(0046982)
git (administrator)
2015-10-16 16:37

Branch CR26522 has been deleted by kgv.

SHA-1: a2d87dc881e9641a39b21a6a69ba9a229593f906
(0046983)
git (administrator)
2015-10-16 16:37

Branch CR26522_1 has been deleted by kgv.

SHA-1: 935f4b24522cf2d3eb23ae1903b950219e71ca56

- Related Changesets
occt: master 9f4cd8eb
Timestamp: 2015-09-10 11:27:50
Author: anv
Committer: bugmaster
Details ] Diff ]
0026522: Exception while copying offset on C0 surface

Removed check for C0 surface while copying offset surface

General code melioration

Test case for issue CR26522

Ignoring C0 basis surface while reading offset surface (added)
mod - src/Geom/Geom_OffsetSurface.cxx Diff ] File ]
mod - src/Geom/Geom_OffsetSurface.hxx Diff ] File ]
mod - src/GeomTools/GeomTools_SurfaceSet.cxx Diff ] File ]
add - tests/bugs/moddata_3/bug26522 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-05 15:53 anv New Issue
2015-08-05 15:53 anv Assigned To => anv
2015-08-05 15:55 anv File Added: s
2015-08-05 16:00 git Note Added: 0043853
2015-08-05 16:02 anv Note Added: 0043854
2015-08-05 16:02 anv Assigned To anv => szv
2015-08-05 16:02 anv Status new => resolved
2015-08-05 16:33 git Note Added: 0043857
2015-08-06 10:27 git Note Added: 0043863
2015-08-06 10:28 szv Note Added: 0043864
2015-08-06 10:28 szv Assigned To szv => bugmaster
2015-08-06 10:28 szv Status resolved => reviewed
2015-08-06 10:40 bugmaster Project Internal => Open CASCADE
2015-08-06 15:20 git Note Added: 0043889
2015-08-06 15:25 mkv Assigned To bugmaster => mkv
2015-08-06 16:43 git Note Added: 0043892
2015-08-07 12:36 mkv Note Added: 0043901
2015-08-07 12:36 mkv Note Added: 0043902
2015-08-07 12:37 mkv Note Added: 0043903
2015-08-07 12:37 mkv Assigned To mkv => anv
2015-08-07 12:37 mkv Status reviewed => assigned
2015-08-07 12:37 mkv Test case number => bugs moddata_3 bug26522
2015-08-13 11:08 git Note Added: 0044067
2015-08-13 11:13 szv Assigned To anv => jgv
2015-08-13 11:13 szv Status assigned => resolved
2015-09-03 16:25 jgv Note Added: 0045015
2015-09-03 16:25 jgv Assigned To jgv => bugmaster
2015-09-03 16:25 jgv Status resolved => reviewed
2015-09-03 17:15 mkv Assigned To bugmaster => mkv
2015-09-03 17:26 git Note Added: 0045023
2015-09-04 16:20 mkv Note Added: 0045083
2015-09-04 16:20 mkv Note Added: 0045084
2015-09-04 16:20 mkv Assigned To mkv => bugmaster
2015-09-04 16:20 mkv Status reviewed => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master 9f4cd8eb
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-09-18 11:27 git Note Added: 0045862
2015-09-21 12:37 git Note Added: 0045939
2015-09-21 12:39 git Note Added: 0045940
2015-09-21 16:02 git Note Added: 0045954
2015-09-23 10:29 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:55 aiv Status verified => closed
2015-10-16 16:37 git Note Added: 0046982
2015-10-16 16:37 git Note Added: 0046983
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker